commit:     c5a6f6fac0565ec3879c890bdbf021e5dc8b6659
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 16 15:50:28 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Aug 16 15:56:04 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c5a6f6fa

xfce-extra/xfce4-panel-profiles: New package

A package to switch and manage panel profiles, freshly joining
the official xfce applications.

Closes: https://bugs.gentoo.org/663760

 xfce-extra/xfce4-panel-profiles/Manifest           |  1 +
 xfce-extra/xfce4-panel-profiles/metadata.xml       |  8 +++++
 .../xfce4-panel-profiles-1.0.8.ebuild              | 36 ++++++++++++++++++++++
 3 files changed, 45 insertions(+)

diff --git a/xfce-extra/xfce4-panel-profiles/Manifest 
b/xfce-extra/xfce4-panel-profiles/Manifest
new file mode 100644
index 00000000000..1e726d7a3a5
--- /dev/null
+++ b/xfce-extra/xfce4-panel-profiles/Manifest
@@ -0,0 +1 @@
+DIST xfce4-panel-profiles-1.0.8.tar.bz2 40074 BLAKE2B 
620e74a6c5a7316e82bda0ad217abc9868685ee9fee6857c4e8aa35002f78f938a754ce709e56466ad648ae4637144d3e90d909e5d9e6865c5e519db75c4da8e
 SHA512 
2d7980a79250414cc4611ccf573c2a3ee5eb510cf3ef6c32035ba23197eee1fded2e158cb50714dd935070916b07b3f33db02570f3d46a598144b4a2d3979ff4

diff --git a/xfce-extra/xfce4-panel-profiles/metadata.xml 
b/xfce-extra/xfce4-panel-profiles/metadata.xml
new file mode 100644
index 00000000000..04cf7b5c139
--- /dev/null
+++ b/xfce-extra/xfce4-panel-profiles/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>XFCE Team</name>
+       </maintainer>
+</pkgmetadata>

diff --git a/xfce-extra/xfce4-panel-profiles/xfce4-panel-profiles-1.0.8.ebuild 
b/xfce-extra/xfce4-panel-profiles/xfce4-panel-profiles-1.0.8.ebuild
new file mode 100644
index 00000000000..b6c2521982c
--- /dev/null
+++ b/xfce-extra/xfce4-panel-profiles/xfce4-panel-profiles-1.0.8.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{4,5,6,7} )
+inherit python-single-r1
+
+DESCRIPTION="Simple application to manage Xfce panel layouts"
+HOMEPAGE="https://git.xfce.org/apps/xfce4-panel-profiles/about/";
+SRC_URI="https://archive.xfce.org/src/apps/xfce4-panel-profiles/$(ver_cut 
1-2)/${P}.tar.bz2"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}"
+RDEPEND="${DEPEND}
+       dev-libs/gobject-introspection
+       dev-python/pygobject:3[${PYTHON_USEDEP}]
+       x11-libs/gtk+:3[introspection]
+       xfce-base/xfce4-panel"
+
+src_configure() {
+       # home-made configure script, yay!
+       ./configure --prefix="${EPREFIX}/usr" --python="${EPYTHON}" || die
+}
+
+src_install() {
+       default
+
+       # the default gets it right
+       rm -r "${ED}"/usr/share/doc/xfce4-panel-profiles || die
+}

Reply via email to